import * as THREE from 'three';
import { VRMBlendShape } from './VRMBlendShapeMaster';
import { VRMFirstPerson } from './VRMFirstPerson';
import { VRMHumanoid } from './VRMHumanoid';
import { VRMMaterial } from './VRMMaterial';
import { VRMMeta } from './VRMMeta';
import { VRMSecondaryAnimation } from './VRMSecondaryAnimation';
interface GLTF {
    scene: THREE.Scene;
    scenes: THREE.Scene[];
    cameras: THREE.Camera[];
    animations: THREE.AnimationClip[];
    asset: GLTFAsset;
    parser: any;
    userData: any;
}
export interface GLTFAsset {
    copyright?: string;
    generator?: string;
    version: string;
    minVersion?: string;
    extensions?: object;
    extras?: any;
}
export declare class VRM {
    asset: GLTFAsset;
    scene: THREE.Scene;
    parser: any;
    userData: any;
    exporterVersion: string;
    meta: VRMMeta;
    humanoid: VRMHumanoid;
    firstPerson: VRMFirstPerson;
    blendShapeMaster: VRMBlendShape;
    secondaryAnimation: VRMSecondaryAnimation;
    materialProperties: VRMMaterial[];
    private nodes;
    private textures;
    private meshes;
    fromGLTF(gltf: GLTF): Promise<this>;
    getNode(index: number): THREE.Object3D;
    setBlendShapeWeight(meshIndex: number, blendShapeIndex: number, value: number): void;
    setBlendShapeGroupWeight(index: number, value: number): void;
}
export {};
